unit Common.Logging;

interface

uses
  System.SysUtils;

type
  TLogLevel = (llDebug, llInfo, llWarn, llError);


  ILogger = interface(IInvokable)
  ['{5E3A3318-ABE1-4BD1-A585-ED902D4C3B45}']
    procedure Log(level: TLogLevel; const text: String);
    procedure Error(const text: String; E: Exception = nil);
    procedure Info(const text: String);
    procedure Warn(const text: String);
    procedure Debug(const text: String);
  end;


implementation

end.
